libvar-pairs-perl_0.002000-1_all.deb


Advertisement

Description

libvar-pairs-perl - Perl module implementing iterators and pair constructors for variables

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libvar-pairs-perl
Package version: 0.002000
Package release: 1
Package architecture: all
Package type: deb
Installed size: 74 B
Download size: 16.73 KB
Official Mirror: ftp.br.debian.org
Var::Pairs exports a small number of subroutines that add some Perl 6 conveniences to Perl 5. Specifically, the module exports several subroutines that simplify interactions with key/value pairs in hashes and arrays. If the autobox Perl module provided in libautobox-perl package is installed the object-oriented methods corresponding to the subroutine-based interfaces can be used.

Alternatives

    Download

    Source package: libvar-pairs-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libvar-pairs-perl deb package:
      # sudo apt-get install libvar-pairs-perl

    Files

    • /usr/share/doc/libvar-pairs-perl/changelog.Debian.gz
    • /usr/share/doc/libvar-pairs-perl/changelog.gz
    • /usr/share/doc/libvar-pairs-perl/copyright
    • /usr/share/man/man3/Var::Pairs.3pm.gz
    • /usr/share/perl5/Var/Pairs.pm

    Changelog

    2014-04-05 - Salvatore Bonaccorso <carnil@debian.org> libvar-pairs-perl (0.002000-1) unstable; urgency=medium * Imported Upstream version 0.002000

    2014-03-11 - Salvatore Bonaccorso <carnil@debian.org> libvar-pairs-perl (0.001005-1) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Imported Upstream version 0.001005 * Declare compliance with Debian Policy 3.9.5 * Update copyright years for debian/* packaging files

    2013-10-27 - Salvatore Bonaccorso <carnil@debian.org> libvar-pairs-perl (0.001003-1) unstable; urgency=low * Imported Upstream version 0.001003 * Change dependencies for Devel::Callsite. Remove (Build-)Depends(-Indep) on libscope-upper-perl and replace it with Build-Depends-Indep and Depends on libdevel-callsite-perl.

    2013-03-23 - Salvatore Bonaccorso <carnil@debian.org> libvar-pairs-perl (0.001002-1) unstable; urgency=low * Imported Upstream version 0.001002

    2013-03-22 - Salvatore Bonaccorso <carnil@debian.org> libvar-pairs-perl (0.001001-1) unstable; urgency=low * Initial Release (Closes: #703723).

    Advertisement
    Advertisement